Subject: (was Re: cp problem on Win95, mv question)
From: [email-masked] (Alexander Hinds)

11 Jul 1997 03:11:53 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.2 (32)
Original-To: Mike Porter <[email-masked]>, Mark Ruys <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: <[email-masked].
 com>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Original-Sender: [email-masked]

At 05:28 PM 7/10/97 -0600, Mike Porter wrote:
>
>
>On Thu, 10 Jul 1997, Mark Ruys wrote:
>
>> 
>> 1) First a simple question with b18 and Windows NT. Is it true you 

>> can't `mv' files between disks. Namely,
>> 
>>   mv //c/work.txt //a
>> 
>> generates an error. I can manually cp and rm the files, but not 
>> moving.
>
>I can't help with your other problems, but under Linux, at least, mv 
can't
>move accross volumes....even on the same disk if you are copying 
across
>partitions.  I don't necessarily know WHY this is happening, but it 
is
>consistent with the behavior of the GNU utilities.

That's because a mv does some (inode) magic within the filesystem - 
nothing actually gets moved, except some pointers in the "FAT".  This 
kind of operation doesn't make sense across file-systems.

Of course, you've got to wonder why the "mv" command just doesn't do 
a cp/rm when moving across filesystems.  But, it's UNIX, I suppose, 
that's answer enough.  ;-)

--X
PGP encrypted mail welcome.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".